> For the complete documentation index, see [llms.txt](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows/forceupdateresult.md).

# Force Update Result

Update a single result with escalated privileges

`ForceUpdateAwfResults` allows administrators to modify results more than normally allowed, such as changing sign-off status, or changing a row's decision after a certification expires.

| Method   | syntax                                                                    |
| -------- | ------------------------------------------------------------------------- |
| **POST** | `/api/preview/awf/certifications/{certification_id}/results:force_update` |

The API token used for this request must be created for a user with the [admin](/4yItIzMvkpAvMVFAamTf/administration/administration/users.md) role.

A forced update request:

* Can undo sign-off of a row.
* On an expired or completed certification, during the grace period, rows can be modified as normal (Assuming they're no longer signed off).
  * The grace period for changes is 7 days after certification completion or expiration

A [standard update request](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/updateaccesscertresult.md):

* Can't undo sign-off of a row.
* On an expired or completed certification, during the grace period, the following updates are allowed for admin, Access Reviews Admin, and operator roles:
  * Mark a rejected row as Fixed
  * Update row notes
  * Update webhook notification status and details (see [Update Webhook Info](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/updatewebhookinfo.md))

### Parameters

| Field                 | In   | Value                                                                                                                    |
| --------------------- | ---- | ------------------------------------------------------------------------------------------------------------------------ |
| `certification_id`    | path | ID of the certification containing the result to alter                                                                   |
| `value`               | body | Contains a single certification result and keys to update                                                                |
| `result_id`           | body | Numeric result id to update (min `0`)                                                                                    |
| `decision`            | body | Result decision(`NONE`, `REJECTED`, `ACCEPTED`, `FIXED`)                                                                 |
| `notes`               | body | string of most recent row [notes](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/parameters.md#certification-properties) |
| `reviewers`           | body | [WorkflowUser](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/parameters.md#workflowuser) object                         |
| `signed_off_state`    | body | Sign-off status (`NOT_SIGNED_OFF`, `SIGNED_OFF`)                                                                         |
| `notification_status` | body | Integration status (`UNKNOWN`, `PENDING`, `SUCCEED`, `FAILED`)                                                           |

### Sample Request

```bash
curl '{{VEZA_URL}}/api/preview/awf/certifications/f9123002-978f-f203bc9885ed/results:force_update' \
  -H 'authorization: Bearer '$token \
  -D '{"value": {"result_id": 0,"signed_off_state":"NOT_SIGNED_OFF"}}'
```

### Sample Response

A successful response will be empty:

```json
{}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows/forceupdateresult.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
